Create Invoice

Create

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use Case:

  • Submit the invocie PDF, when the order status changes to shipped in your system.
  • Send the API request invoice_url to invoice PDF or PDF file.
    • in case you send the invoice_url - set the Content-Type in request header to application/json
    • in case you send the PDF file - set the Content-Type in request header to multipart/form-data and send the payload in form-data layout
  • Send the invoice amount in gross_amount_cents.
  • Send invoice ID in external_reference_id.
  • lines object is optional, but recommended.

Important:

  • The invoice can be sumtitted for the order in status confirmed.
  • If the invoice amount is equal to the order amount, the order status will change to shipped.
  • If the invoice amount is lower than the order amount, the order status will change to partially_shipped.
  • You can submit multiple invoices, if the sum of invoice amounts is lower/equal to the order amount.
  • If the invoice amount (or sum of all invoice amounts) is higher than the order amount, the API will return 422 error.
  • external_reference_id must match your payment reference on the legal invoice document.
  • The invoice can be uploaded to the Mondu system no later than 90 days after the order is created.

Payload Examples

Check Mondu Guide:

Path Params
string
required

Order identifier.

Body Params
string
required
length between 1 and 1024

Invoice ID set by the merchant.

string
length between 1 and 1024

Reference ID of resource in external service

string
required

An URL pointing to a file containing an invoice.

string

An optional additional URL pointing to a supplementary invoice file.

integer
required
≥ 1

Invoice amount including taxes, discounts, shipping or any other cost. It has to be lower or equal to a line sent to Mondu in create order request. gross_amount_cents = net_amount_cents + tax_cents + shipping_price_cents + extra_fee_cents - discount_cents

integer
≥ 0

Amount of tax to be applied to the invoice.

integer
≥ 0

Discount applied to the invoice.

integer
≥ 0

Shipping price to be applied on this invoice.

integer
≥ 0

Extra fee to be applied on this invoice.

date-time

Timestamp invoice was issued at.

line_items
array of objects
length ≥ 1

Invoice details.

line_items
string
required
length between 1 and 1024

Reference ID of resource in external service

integer
required
≥ 1
Defaults to 1

Number of items. It must be >= 1.

shipping_info
object

Information about the shipment.

string
enum
Defaults to api

The source where the invoice came from.

Allowed:
file
file

Proof of delivery file which is required
if the relevant flag is enabled on merchant level.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

403

Forbidden

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json